Bug 1249137 - Obsolete selinux policy for xrootd
Obsolete selinux policy for xrootd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xrootd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1238407
  Show dependency treegraph
 
Reported: 2015-07-31 11:26 EDT by Lukas Vrabec
Modified: 2015-08-17 15:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: xrootd-4.2.2-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 05:54:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Vrabec 2015-07-31 11:26:10 EDT
Description of problem:
Due to https://fedoraproject.org//wiki/Changes/SELinuxPolicyStoreMigration we test all packages shipping own SELinux policy.
Rules from xrootd policy must be in optional policy.
Also there is wrong rules related to logrotate

Version-Release number of selected component (if applicable):
xrootd-selinux-4.2.1-3.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1.dnf install xrootd-selinux
2.semodule -d logrotate


Actual results:
Disable logrotate failed

Expected results:
Disable logrotate will work

Attaching fix for this, via pull request: https://github.com/xrootd/xrootd/pull/272
Comment 1 Fedora Update System 2015-08-01 07:00:37 EDT
xrootd-4.2.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.el7
Comment 2 Fedora Update System 2015-08-01 07:00:44 EDT
xrootd-4.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.el5
Comment 3 Fedora Update System 2015-08-01 07:00:50 EDT
xrootd-4.2.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.fc22
Comment 4 Fedora Update System 2015-08-01 07:00:57 EDT
xrootd-4.2.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.fc21
Comment 5 Fedora Update System 2015-08-01 07:01:05 EDT
xrootd-4.2.2-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.fc23
Comment 6 Fedora Update System 2015-08-01 07:01:11 EDT
xrootd-4.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xrootd-4.2.2-1.el6
Comment 7 Fedora Update System 2015-08-01 13:41:42 EDT
Package xrootd-4.2.2-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xrootd-4.2.2-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12594/xrootd-4.2.2-1.fc23
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-08-10 05:54:54 EDT
xrootd-4.2.2-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-10 22:06:06 EDT
xrootd-4.2.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-08-10 22:13:28 EDT
xrootd-4.2.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-08-17 15:05:31 EDT
xrootd-4.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-08-17 15:08:57 EDT
xrootd-4.2.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-08-17 15:09:02 EDT
xrootd-4.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.